fhqmcu
fhqmcu - 认证专家

注册于 2 years ago

回答
15
文章
1
关注者
8

fhqmcu 发表了评论

2 weeks ago

准备填这个大坑--STM32 USB CDC驱动4G模块

@fhqmcu 进度:rt thread usb device rndis设备的驱动框架与源码已经全部看懂,同时对rndis设备的通信机制有了更深入的理解了。 下一步计划:学习rt thread us

fhqmcu 发表了评论

2 weeks ago

pkgs在新电脑上不好使

最后安的是和你的是一样的版本,我是用pip install安装未指定版本。你根据我上面的高度过程,可以按着来调试一下,看看是哪里出了问题,看看是python环境的问题还是什么其他的问题?

fhqmcu 发表了评论

2 weeks ago

pkgs在新电脑上不好使

我今天又测试了回复信息一下,现在回复已经正常了。当时的就是我写了一条回复后,网页能正常的显示出来,等我退出这个帖子后,再进来查看,就找不到了。

fhqmcu 发表了评论

2 weeks ago

pkgs在新电脑上不好使

问题已经解决,解决办法见上面正文中所写。

fhqmcu 发表了评论

1 month ago

ENV pkgs --update问题

请参考我的解决方法:https://club.rt-thread.org/ask/question/429846.html?order=date

fhqmcu 对问题发布了答案

1 month ago

pkgs --update命令软件包没有安装,env命令行也没提示,是什么原因呢

https://club.rt-thread.org/ask/question/429846.html?order=date,我遇到过这个问题,已解决,请看上面帖子。

fhqmcu 发表了评论

1 month ago

使用env命令pkgs --update无法下载软件包

@joeychou 我也遇到过此问题,已解决,请看这里https://club.rt-thread.org/ask/question/429846.html?order=date

fhqmcu 发表了评论

1 month ago

pkgs在新电脑上不好使

@fhqmcu 问题已经解决了,确认了就是python27下带的requests模块有问题,解决办法,在电脑上安装一个Python2.7环境,把安装在C盘下的Python27文件夹复制到env下面替换

fhqmcu 发表了评论

1 month ago

pkgs在新电脑上不好使

@我夏了夏天 我把电脑上自己安装的python2.7替换env环境下的Python2.7是可以成功更新软件包的,所以问题定位了,就是env环境带的requests模块版本低,无法在新电脑上运行。

fhqmcu 发表了评论

1 month ago

pkgs在新电脑上不好使

@fhqmcu @我夏了夏天 我把电脑上自己安装的python2.7替换env环境下的Python2.7是可以成功更新软件包的,所以问题定位了,就是env环境带的requests模块版本低,无法在新电

fhqmcu 发表了评论

1 month ago

pkgs在新电脑上不好使

@我夏了夏天 我把电脑上自己安装的python2.7替换env环境下的Python2.7是可以成功更新软件包的,所以问题定位了,就是env环境带的requests模块版本低,无法在新电脑上运行。

fhqmcu 发表了评论

1 month ago

pkgs在新电脑上不好使

@我夏了夏天 我又做了一个测试,我把我自己安装在C盘的python27整体复制到env环境下,替换原来的Python27,再执行python env.py package --update是可以成功下

fhqmcu 发表了评论

1 month ago

pkgs在新电脑上不好使

@我夏了夏天 目前的主要问题就是env环境中带有requests模块版本无法在新电脑的win10系统中运行,调用requests模块时,程序不抛任何异常就自己退出来了,不再执行之后的程序了。所以说只有

fhqmcu 发表了评论

1 month ago

pkgs在新电脑上不好使

@我夏了夏天 不是这个原因,可以确定env模块中带有requests模块版本的原因了。我单独写代码测试使用requests.get("www.baidu.com")都不行。你看上面的有测试代码的执行结

fhqmcu 发表了评论

1 month ago

pkgs在新电脑上不好使

@我夏了夏天 这是我执行package --update的打印,可以看出程序执行到requests.get函数后就自己退出了,不再向下执行了。所以问题就出在requests模块上面,你更新一个这个软件

发布
问题